Skip to content
GET /unified/crm/line_items

Query Parameters

Refer Specifying query parameters in Truto APIs

opportunityobject

Deal/opportunity associated with the line item

1 supported
HubSpot
supported
idstring

The opportunity's unique identifier

productobject

Product associated with the line item

References: Products → id
1 supported
HubSpot
supported
idstring
required·

The unique identifier

created_atstring · date-time

The date and time of the line item's creation

1 supported
HubSpot
supported
updated_atstring · date-time

The date and time of the line item's last update

1 supported
HubSpot
supported
fieldsarray

Additional HubSpot properties to request

1 supported
HubSpot
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

debugobject

Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. null for static responses or when truto_skip_api_call=true.

data
isEmptyResultboolean
isLoopingboolean
nextCursorstring
requestOptionsRecord<string, any>
requestUrlstring
responseHeadersRecord<string, any>
resultCountnumber
next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Line items

idstring
required·

The line item's unique identifier

1 supported
HubSpot
supported
accountobject

The account associated with the line item

References: Accounts → id
1 supported
HubSpot
supported
1 property
idstring

The unique identifier

amountnumber

The line item's amount

1 supported
HubSpot
supported
created_atstring · date-time

The date and time of the line item's creation

1 supported
HubSpot
supported
currencystring

The amount attribute's currency

1 supported
HubSpot
supported
custom_fieldsobject

Custom fields for the line item

1 supported
HubSpot
supported
descriptionstring

The line item's description

1 supported
HubSpot
supported
namestring

The line item's name

1 supported
HubSpot
supported
opportunityobject[]

The line item's opportunities

1 supported
HubSpot
supported
1 property
idstring

The opportunity's unique identifier

ownerobject

The line item's owner

1 supported
HubSpot
supported
1 property
idstring

The unique identifier

productobject

The product associated with the line item

References: Products → id
1 supported
HubSpot
supported
1 property
idstring

The unique identifier

quantitynumber

The line item's quantity

1 supported
HubSpot
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

The date and time of the line item's last update

1 supported
HubSpot
supported
truto unified crm lineitems \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'crm',
  'lineitems',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "crm",
        "lineitems",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/crm/line_items?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/line_items?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/line_items"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())